dirname(1)

NAME
dirname - Strip last component from file name

SYNOPSIS
dirname [-z|--zero] [-h|--help] [-V|--version] [dir]

DESCRIPTION
Strip last component from file name

OPTIONS

-z, --zero
    separate output with NUL rather than newline

-h, --help
    Print help

-V, --version
    Print version

EXTRA
Output each NAME with its last non-slash component and trailing slashes removed; if NAME contains no /'s, output '.' (meaning the current directory).

VERSION
v(uutils coreutils) 0.2.2